﻿using APIKudryashov.BaseConnection;
using APIKudryashov.ModelBase;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;

namespace APIKudryashov.Controllers
{
    [Route("api/[controller]/{id}")]
        [ApiController]
        [ApiExplorerSettings(GroupName = "Удалить запись о продаже по идентификатору")]
    public class DeleteCellController : Controller
    {
        ApplicationContext db = new ApplicationContext();
        [HttpDelete]   
        public IActionResult Index(int id)
        {
            Cells cell = db.tableCells.FirstOrDefault(x => x.Id == id);
            if (cell == null)
            {
                return Ok(Results.NotFound(new { message = "Продаж не было" }));

            }
            db.tableCells.Remove(cell);
            db.SaveChanges();
            return Ok(cell);
        }
    }
}
