﻿using APIKudryashov.BaseConnection;
using APIKudryashov.ModelBase;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;

namespace APIKudryashov.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    [ApiExplorerSettings(GroupName = "Обновить данные о товарах")]
    public class UpdateItemsController : Controller
    {
        ApplicationContext db = new ApplicationContext();
        
        [HttpPut]
        public IActionResult Index(Items mode)
        {
            Items emps = db.tableItems.FirstOrDefault(c => c.Id == mode.Id);
            if (emps == null)
            {
                return Ok(Results.NotFound(new { message = "Товар не найден" }));
                
            }
            emps.Id = mode.Id;
            emps.Name = mode.Name;
            emps.Price = mode.Price;
            emps.Count = mode.Count;
            db.SaveChanges();
            return Ok(emps);
        }
    }
}
